Skip to main content
Export Job external market Skill Profiles.
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/export/jobs/market_skill_profiles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 10,
  "starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
  "filters": [
    {
      "filter": "last_updated",
      "value": "2022-01-01",
      "operator": "lt"
    },
    {
      "filter": "job_family_id_is_in_list",
      "job_family_ids": [
        "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
        "62d2c013-ab77-410e-b5fb-2f96eed9c1db"
      ]
    }
  ],
  "output_skills_sorting": "alphabetical"
}
'
{
  "has_next": true,
  "records": [
    {
      "external_id": "4cbdbabe-5644-4423-8157-520f8a2f429a",
      "peer_groups": [
        {
          "peer_group": "Athletic Sportswear Manufacturing",
          "skills": [
            {
              "skill": "Product Design",
              "skill_id": "6d41b6d7-1c09-4f8a-a9c0-361b4c7a92f5"
            },
            {
              "skill": "Materials Science",
              "skill_id": "9eb6aebf-936d-4814-9c6f-8754becc2f53"
            },
            {
              "skill": "Supply Chain Operations",
              "skill_id": "7cfe0001-5a22-49dc-9148-077b546de5cd"
            }
          ]
        },
        {
          "peer_group": "Sport Watches Production",
          "skills": [
            {
              "skill": "Embedded Systems",
              "skill_id": "0af7ceb8-26fe-4210-a5c4-3c1b69721403"
            },
            {
              "skill": "UX Design",
              "skill_id": "98fc5005-abf9-41f5-b156-742654b7eacd"
            },
            {
              "skill": "Algorithm Development",
              "skill_id": "e273a7bd-1ee2-4911-979c-33423dc1ac08"
            }
          ]
        }
      ]
    }
  ],
  "next_starting_after": "61a6e076-d780-11ec-9d64-0242ac120002"
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

response_format
enum<string>
default:list

Defines the format of the returned Skill Profile.

Available options:
list,
hierarchy
Example:

"list"

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no
include
enum<string>[]

Additional attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
properties

Body

application/json
limit
integer
required

The number of Jobs to show on a single page.

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The external_id of the Job to continue looking from.

Maximum string length: 100
Example:

"4cbdbabe-5644-4423-8157-520f8a2f429a"

filters
(is_active · object | last_updated · object | job_family_id_is_in_list · object)[]

A set of filters used to apply on the exported Job Skill Profiles.

Example:
[
{
"filter": "last_updated",
"value": "2022-01-01",
"operator": "lt"
},
{
"filter": "job_family_id_is_in_list",
"job_family_ids": [
"5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"62d2c013-ab77-410e-b5fb-2f96eed9c1db"
]
}
]
output_skills_sorting
enum<string>
default:alphabetical

Sort the Skills in the results alphabetically or by decreasing confidence.

Available options:
alphabetical,
confidence
Example:

"alphabetical"

Response

OK

has_next
boolean
required

True when there is more data after this page.

Example:

true

records
object[]
required

A list containing the requested data for each entity, limited by the limit parameter.